package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimTemplateAr;


/**
*  service接口类
*/
public interface AimTemplateArService{

    List<AimTemplateAr> getAimTemplateArList(AimTemplateAr record);

    List<AimTemplateAr> getAimTemplateArByPage(Page page, AimTemplateAr record);

    AimTemplateAr getAimTemplateArById(String id);

    AimTemplateAr getAimTemplateAr(AimTemplateAr record);

    boolean createAimTemplateAr(AimTemplateAr record);

    boolean deleteAimTemplateAr(AimTemplateAr record);

    boolean updateAimTemplateAr(AimTemplateAr record);
}

